Re: Call for testing: OpenSSH 6.7

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]

 



On Mon, 25 Aug 2014, mikep@xxxxxxxxxxxxxxx wrote:

> Tried again with SNAP-20140826; gets much farther into the tests:

Thanks!

> sftp permissions: explicit setstat
> postcondition check failed: setstat blacklisted
> postcondition check failed: setstat not in whitelist

This is probably a problem with the test itself. Could you try applying
the below patch, rerunning the just the affected sftp-perm.sh test (using
"make tests LTESTS=sftp-perm SKIP_UNIT=1") and sending me the output along
with regress/sftp.log?

-d

Index: regress/sftp-perm.sh
===================================================================
RCS file: /var/cvs/openssh/regress/sftp-perm.sh,v
retrieving revision 1.2
diff -u -p -r1.2 sftp-perm.sh
--- regress/sftp-perm.sh	24 Oct 2013 19:22:50 -0000	1.2
+++ regress/sftp-perm.sh	25 Aug 2014 23:06:41 -0000
@@ -29,7 +29,7 @@ postcondition() {
 	_title="$1"
 	_check="$2"
 	test -z "$_check" && return
-	${TEST_SHELL} -c "$_check" || fail "postcondition check failed: $_title"
+	${TEST_SHELL} -c "$_check" || fatal "postcondition check failed: $_title"
 }
 
 ro_test() {
@@ -72,7 +72,13 @@ perm_test() {
 	# Blacklist
 	prepare_files "$_prep"
 	prepare_server -P $_op
+echo "blacklist pre"
+ls -l $COPY
 	run_client "$_cmd" && fail "blacklisted $_op succeeded"
+echo "blacklist post"
+ls -l $COPY
+test -x $COPY && echo "test -x"
+test -x $COPY || echo "!test -x"
 	postcondition "$_op blacklisted" "$_expect_fail_post"
 	# Whitelist with op missing.
 	prepare_files "$_prep"
_______________________________________________
openssh-unix-dev mailing list
openssh-unix-dev@xxxxxxxxxxx
https://lists.mindrot.org/mailman/listinfo/openssh-unix-dev




[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]

[Index of Archives]     [Linux ARM Kernel]     [Linux ARM]     [Linux Omap]     [Fedora ARM]     [IETF Annouce]     [Security]     [Bugtraq]     [Linux]     [Linux OMAP]     [Linux MIPS]     [ECOS]     [Asterisk Internet PBX]     [Linux API]

  Powered by Linux